from sqlalchemy import BigInteger, DateTime, String, Column
from config.database import Base


class ExplanationStyleRobotPairing(Base):
    """
    讲解风格--机器人配对表
    """

    __tablename__ = 'explanation_style_robot_pairing'

    pairing_id = Column(BigInteger, primary_key=True, autoincrement=True, nullable=False, comment='主键ID')
    robot_id = Column(BigInteger, nullable=False, comment='机器人ID（关联robot_info表）')
    robot_role_id = Column(BigInteger, nullable=False, comment='机器人角色ID（关联robot_role表）')
    explanation_style_id = Column(BigInteger, nullable=False, comment='讲解风格ID（关联explanation_style表）')
    prompt = Column(String(128), nullable=True, comment='提示词')
    status = Column(String(2), nullable=True, comment='状态(0停用,1使用)')
    create_time = Column(DateTime, nullable=True, comment='创建时间')
    create_by = Column(String(64), nullable=True, comment='创建者')
    update_time = Column(DateTime, nullable=True, comment='修改时间')
    update_by = Column(String(64), nullable=True, comment='修改者')



